Bug 1022400 - Wrong error message while setting port offset in console installer
Wrong error message while setting port offset in console installer
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: CR1
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 04:31 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:17:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-23 04:31:07 EDT
Description of problem:
There is wrong error message when user tries to configure an offset for all default port bindings. It says "Offset value is too large. Maximum offset possible is 0."

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER6

How reproducible:
 Always

Steps to Reproduce:
 1. Run console instalation: java -jar jboss-eap-6.2.0.ER6-installer.jar -console
 2. Follow:
Select Port Configuration:
0  [x] Use the default port bindings for standalone and domain modes.
1  [ ] Configure custom port bindings.
2  [ ] Configure an offset for all default port bindings.
Input Selection: 
2

Select Offset Type
0  [x] +1 offset
1  [ ] +100 offset
2  [ ] Specify offset
Input Selection: 
2
Offset value: []
1111

Actual results:
 Validation error.: Offset value is too large. Maximum offset possible is 0.

Expected results:
 Validation error.: Offset value is too large. Maximum offset possible is $MAXIMUM_OFFSET.
Comment 1 Francisco Canas 2013-10-23 16:05:52 EDT
I've added the a maximum offset based on the largest default port number.
Comment 2 Petr Kremensky 2013-11-15 04:12:21 EST
Verified on EAP 6.2.0.CR1 installer.

Note You need to log in before you can comment on or make changes to this bug.